# Vocabularies ## Submit Custom Vocabulary - [POST /vocabularies](https://docs.rev.ai/api/custom-vocabulary/reference/vocabularies/submitcustomvocabulary.md): Submits a Custom Vocabulary for asynchronous processing. ## Get List of Custom Vocabularies - [GET /vocabularies](https://docs.rev.ai/api/custom-vocabulary/reference/vocabularies/getcustomvocabularies.md): Gets a list of most recent custom vocabularies' processing information ## Get Custom Vocabulary - [GET /vocabularies/{id}](https://docs.rev.ai/api/custom-vocabulary/reference/vocabularies/getcustomvocabulary.md): Gets the custom vocabulary processing information ## Delete Custom Vocabulary - [DELETE /vocabularies/{id}](https://docs.rev.ai/api/custom-vocabulary/reference/vocabularies/deletecustomvocabulary.md): Deletes a custom vocabulary. All data related to the custom vocabulary, such as webhooks and metadata, will be permanently deleted. A custom vocabulary can only be deleted once it's completed (either with success or failure).